Package ru.bitel.bgbilling.client.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.client.bean.Constants

public class Constants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_BGBILLING_FRAME_ICON_URL`
  `static final String`
  `KEY_BGBILLING_TRANSFER_DEBUG`
  `static final String`
  `KEY_CLIENT_START_OPEN_CONTRACT_IDS`
  `static final String`
  `KEY_DEBUG_MESSAGE_MAX_LENGTH`
  `static final String`
  `KEY_DEBUG_SHELL_TASK_EXECUTER`
  `static final String`
  `KEY_IS_PATTERN`
  `static final String`
  `KEY_LOCAL_CONFIG_ID`
  `static final String`
  `KEY_LOCAL_CONFIG_PATH`
  `static final String`
  `KEY_LOCAL_SETTING_FILE_NAME`
  `static final String`
  `KEY_LOCAL_SETTING_FOLDER_NAME`
  `static final String`
  `KEY_LOOK_AND_FEEL_DEFAULT`
  `static final String`
  `KEY_LOOK_AND_FEEL_DEFAULT_THEME`
  `static final String`
  `KEY_SHORT_CODE_FOR_SEARCH_OF_CLASSES`
  `static final String`
  `KEY_UPDATE_FOLDER`
  `static final String`
  `KEY_USER_HOME`
  `static final String`
  `LOCAL_SETTINGS_DIR_NAME`
  `static final String`
  `LOCAL_SETTINGS_FILE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY_IS_PATTERN

    public static final String KEY_IS_PATTERN
    See Also:
      - Constant Field Values

  - ### KEY_USER_HOME

    public static final String KEY_USER_HOME
    See Also:
      - Constant Field Values

  - ### KEY_UPDATE_FOLDER

    public static final String KEY_UPDATE_FOLDER
    See Also:
      - Constant Field Values

  - ### KEY_LOCAL_CONFIG_ID

    public static final String KEY_LOCAL_CONFIG_ID
    See Also:
      - Constant Field Values

  - ### KEY_LOCAL_CONFIG_PATH

    public static final String KEY_LOCAL_CONFIG_PATH
    See Also:
      - Constant Field Values

  - ### KEY_LOCAL_SETTING_FILE_NAME

    public static final String KEY_LOCAL_SETTING_FILE_NAME
    See Also:
      - Constant Field Values

  - ### KEY_LOCAL_SETTING_FOLDER_NAME

    public static final String KEY_LOCAL_SETTING_FOLDER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_BGBILLING_FRAME_ICON_URL

    public static final String KEY_BGBILLING_FRAME_ICON_URL
    See Also:
      - Constant Field Values

  - ### KEY_BGBILLING_TRANSFER_DEBUG

    public static final String KEY_BGBILLING_TRANSFER_DEBUG
    See Also:
      - Constant Field Values

  - ### KEY_DEBUG_SHELL_TASK_EXECUTER

    public static final String KEY_DEBUG_SHELL_TASK_EXECUTER
    See Also:
      - Constant Field Values

  - ### KEY_DEBUG_MESSAGE_MAX_LENGTH

    public static final String KEY_DEBUG_MESSAGE_MAX_LENGTH
    See Also:
      - Constant Field Values

  - ### KEY_LOOK_AND_FEEL_DEFAULT_THEME

    public static final String KEY_LOOK_AND_FEEL_DEFAULT_THEME
    See Also:
      - Constant Field Values

  - ### KEY_LOOK_AND_FEEL_DEFAULT

    public static final String KEY_LOOK_AND_FEEL_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_CLIENT_START_OPEN_CONTRACT_IDS

    public static final String KEY_CLIENT_START_OPEN_CONTRACT_IDS
    See Also:
      - Constant Field Values

  - ### KEY_SHORT_CODE_FOR_SEARCH_OF_CLASSES

    public static final String KEY_SHORT_CODE_FOR_SEARCH_OF_CLASSES
    See Also:
      - Constant Field Values

  - ### LOCAL_SETTINGS_DIR_NAME

    public static final String LOCAL_SETTINGS_DIR_NAME
    See Also:
      - Constant Field Values

  - ### LOCAL_SETTINGS_FILE_NAME

    public static final String LOCAL_SETTINGS_FILE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()